Subject: [Roll] P-DAO refresh

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 14 Sep 2020 12:19:20 +0000

Dear all

I published https://tools.ietf.org/html/draft-ietf-roll-dao-projection-11 to address issues that were signaled to me unicast;

I took advantage of the refresh to do some editorial rewording, based on recent experience with IESG reviews.

One issue was the capability to factorize multiple projected routes for one target. This is doable for non-storing, but hard for storing P DAO since the end point is the one answering, so one request would generate multiple dao acks. I thought it was easier NOT to factorize storing mode P DAOs. Does that make sense?

Also in the RPO:
- the format forced a single compression format for all addresses. It is less error prone to fully inline in the option the  sequence of SRH-6LoRH that will be added in the packet, in the exact same shape, don't you think?
- The lifetime and the sequence apply to the segment, not the whole track. A node may not be conscious of the whole track. I fixed that.

The diffs are here https://tools.ietf.org/rfcdiff?url2=draft-ietf-roll-dao-projection-11.txt

Please let me know if that works!

Keep safe

Pascal